Thank you for the very detailed reply...it helped a lot.

By installing the latest version of http-access2 and setting the verify 
mode, I was able to connect to the service successfully.

I'm now experimenting with wsdl2ruby, and struggling a bit.  I did still 
get the nillable warning when I ran wsdl2ruby, so it must not like the 
nillable attribute in the CJ wsdl file. It doesn't seem like problem so 
far though. I am getting the same verification error as before now, so I 
just need to figure out how to set that option, using the object created 
by wsdl2ruby.

Thanks again.

-- 
Posted via http://www.ruby-forum.com/.